
ctools - Change request #1298

Cube analysis tools should complain about missing ROI information.

07/25/2014 05:22 PM - Knödlseder Jürgen

Status: Closed Start date: 07/25/2014

Priority: Normal Due date:  

Assigned To: Mayer Michael % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 1.0.0   

Description

The cube analysis tools ctbin, ctexpcube, ctpsfcube and ctbkgcube need RoI information. So far the tools do not complain when this

information is missing in the headers of the event files.

History

#1 - 07/25/2014 05:23 PM - Knödlseder Jürgen

- Subject changed from Cube analysis tools should complain of missing ROI information. to Cube analysis tools should complain about missing ROI

information.

#2 - 10/30/2014 12:14 PM - Knödlseder Jürgen

- Target version set to 1.0.0

#3 - 07/01/2015 02:18 PM - Mayer Michael

I guess we already have this in ctbin. Here we check for the sanity of the RoI:

// Check for RoI sanity

if (!roi.is_valid()) {

   std::string msg = "No RoI information found in input observation "

                      "\""+obs->name()+"\". Run ctselect to specify "

                      "an RoI for this observation before running "

                      "ctbin.";

    throw GException::invalid_value(G_FILL_CUBE, msg);

}

I guess, we only need to take these lines of code and implement them in GCTACubeExposure::fill(), GCTACubePsf::fill(),

GCTACubeBackground::fill(). I would do it right now if I don't had a pending pull request on those files smile.png  (see #1439)

#4 - 07/02/2015 09:47 AM - Mayer Michael

- Status changed from New to Pull request

- Assigned To set to Mayer Michael

- % Done changed from 0 to 100

Available on branch 1298-add-exception-if-RoI-is-missing
#5 - 07/02/2015 10:02 PM - Knödlseder Jürgen

- Status changed from Pull request to Closed

Now in devel
